Open CASCADE Technology: GeomConvert_ApproxSurface Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GeomConvert_ApproxSurface Class Reference

A framework to convert a surface to a BSpline surface. This is done by approximation to a BSpline surface within a given tolerance. More...

`#include <GeomConvert_ApproxSurface.hxx>`

## Public Member Functions
| GeomConvert_ApproxSurface (const Handle< Geom_Surface > &Surf, const Standard_Real Tol3d, const GeomAbs_Shape UContinuity, const GeomAbs_Shape VContinuity, const Standard_Integer MaxDegU, const Standard_Integer MaxDegV, const Standard_Integer MaxSegments, const Standard_Integer PrecisCode)
| Constructs a surface approximation framework defined by. More...
| GeomConvert_ApproxSurface (const Handle< Adaptor3d_HSurface > &Surf, const Standard_Real Tol3d, const GeomAbs_Shape UContinuity, const GeomAbs_Shape VContinuity, const Standard_Integer MaxDegU, const Standard_Integer MaxDegV, const Standard_Integer MaxSegments, const Standard_Integer PrecisCode)
| Constructs a surface approximation framework defined by. More...
Handle< Geom_BSplineSurface > | Surface () const
| Returns the BSpline surface resulting from the approximation algorithm. More...
Standard_Boolean | IsDone () const
| Returns Standard_True if the approximation has be done. More...
Standard_Boolean | HasResult () const
| Returns true if the approximation did come out with a result that is not NECESSARILY within the required tolerance or a result that is not recognized with the wished continuities. More...
Standard_Real | MaxError () const
| Returns the greatest distance between a point on the source conic surface and the BSpline surface resulting from the approximation (>0 when an approximation has been done, 0 if no approximation ) More...
void | Dump (Standard_OStream &o) const
| Prints on the stream o informations on the current state of the object. More...

## Detailed Description

A framework to convert a surface to a BSpline surface. This is done by approximation to a BSpline surface within a given tolerance.

## Constructor & Destructor Documentation

GeomConvert_ApproxSurface::GeomConvert_ApproxSurface | ( | const Handle< Geom_Surface > & | Surf,
|  | const Standard_Real | Tol3d,
|  | const GeomAbs_Shape | UContinuity,
|  | const GeomAbs_Shape | VContinuity,
|  | const Standard_Integer | MaxDegU,
|  | const Standard_Integer | MaxDegV,
|  | const Standard_Integer | MaxSegments,
|  | const Standard_Integer | PrecisCode
| ) |  |

Constructs a surface approximation framework defined by.

- the conic Surf
- the tolerance value Tol3d
- the degree of continuity UContinuity, VContinuity in the directions of the U and V parameters
- the highest degree MaxDegU, MaxDegV which the polynomial defining the BSpline curve may have in the directions of the U and V parameters
- the maximum number of segments MaxSegments allowed in the resulting BSpline curve
- the index of precision PrecisCode.

GeomConvert_ApproxSurface::GeomConvert_ApproxSurface | ( | const Handle< Adaptor3d_HSurface > & | Surf,
|  | const Standard_Real | Tol3d,
|  | const GeomAbs_Shape | UContinuity,
|  | const GeomAbs_Shape | VContinuity,
|  | const Standard_Integer | MaxDegU,
|  | const Standard_Integer | MaxDegV,
|  | const Standard_Integer | MaxSegments,
|  | const Standard_Integer | PrecisCode
| ) |  |

Constructs a surface approximation framework defined by.

- the Surf
- the tolerance value Tol3d
- the degree of continuity UContinuity, VContinuity in the directions of the U and V parameters
- the highest degree MaxDegU, MaxDegV which the polynomial defining the BSpline curve may have in the directions of the U and V parameters
- the maximum number of segments MaxSegments allowed in the resulting BSpline curve
- the index of precision PrecisCode.

## Member Function Documentation

void GeomConvert_ApproxSurface::Dump | ( | Standard_OStream & | o | ) | const

Prints on the stream o informations on the current state of the object.

Standard_Boolean GeomConvert_ApproxSurface::HasResult | ( |  | ) | const

Returns true if the approximation did come out with a result that is not NECESSARILY within the required tolerance or a result that is not recognized with the wished continuities.

Standard_Boolean GeomConvert_ApproxSurface::IsDone | ( |  | ) | const

Returns Standard_True if the approximation has be done.

Standard_Real GeomConvert_ApproxSurface::MaxError | ( |  | ) | const

Returns the greatest distance between a point on the source conic surface and the BSpline surface resulting from the approximation (>0 when an approximation has been done, 0 if no approximation )

Handle< Geom_BSplineSurface > GeomConvert_ApproxSurface::Surface | ( |  | ) | const

Returns the BSpline surface resulting from the approximation algorithm.

The documentation for this class was generated from the following file:

- GeomConvert_ApproxSurface.hxx